You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     step...@freebsd.org
Last committer: step...@freebsd.org
Ident:          $FreeBSD: head/math/octave-forge-image/Makefile 370401 
2014-10-07 21:54:56Z stephen $
Log URL:        
http://beefy2.nyi.freebsd.org/data/93amd64-default/405817/logs/octave-forge-image-2.2.2.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=93amd64-default&build=405817
Log:

====>> Building math/octave-forge-image
build started at Tue Jan 12 20:34:09 UTC 2016
port directory: /usr/ports/math/octave-forge-image
building for: FreeBSD 93amd64-default-job-19 9.3-RELEASE-p32 FreeBSD 
9.3-RELEASE-p32 amd64
maintained by: step...@freebsd.org
Makefile ident:      $FreeBSD: head/math/octave-forge-image/Makefile 370401 
2014-10-07 21:54:56Z stephen $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p32
UNAME_r=9.3-RELEASE-p32
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=octave-forge-image-2.2.2
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93amd64-default/ref/.p/pool
MASTERNAME=93amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
F77="gfortran48" FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" MAKE=gmake 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-image/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-image/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-image/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
PACKAGE=/wrkdirs/usr/ports/math/octave-forge-image/work/image-2.2.2.tar.gz 
F77="gfortran48" FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-image/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-image/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-image/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES 
ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" 
AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="clang" CFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing"  CPP="clang-cpp" CPPFLAGS=""  LDFLAGS=" 
-Wl
 ,-rpath=/usr/local/lib/gcc48  -L/usr/local/lib/gcc48 -B/usr/local/bin 
-fstack-protector" LIBS=""  CXX="clang++" CXXFLAGS="-O2 -pipe -fstack-protector 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/octave-forge-image"
EXAMPLESDIR="share/examples/octave-forge-image"
DATADIR="share/octave-forge-image"
WWWDIR="www/octave-forge-image"
ETCDIR="etc/octave-forge-image"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/octave-forge-image
DOCSDIR=/usr/local/share/doc/octave-forge-image
EXAMPLESDIR=/usr/local/share/examples/octave-forge-image
WWWDIR=/usr/local/www/octave-forge-image
ETCDIR=/usr/local/etc/octave-forge-image
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   octave-forge-image-2.2.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[93amd64-default-job-19] Installing pkg-1.6.2...
[93amd64-default-job-19] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   octave-forge-image-2.2.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of octave-forge-image-2.2.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by octave-forge-image-2.2.2 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by octave-forge-image-2.2.2 for building
=> SHA256 Checksum OK for octave-forge/image-2.2.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by octave-forge-image-2.2.2 for building
===>  Extracting for octave-forge-image-2.2.2
=> SHA256 Checksum OK for octave-forge/image-2.2.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for octave-forge-image-2.2.2
===>  Applying FreeBSD patches for octave-forge-image-2.2.2
/usr/bin/sed -i.bak s/-Wall// 
/wrkdirs/usr/ports/math/octave-forge-image/work/image/src/Makefile
===========================================================================
=======================<phase: build-depends  >============================
===>   octave-forge-image-2.2.2 depends on executable: octave - not found
===>   Installing existing package /packages/All/octave-4.0.0.txz
[93amd64-default-job-19] Installing octave-4.0.0...
[93amd64-default-job-19] `-- Installing glpk-4.52.1_3...
[93amd64-default-job-19] |   `-- Installing gmp-5.1.3_2...
[93amd64-default-job-19] |   | `-- Installing indexinfo-0.2.4...
[93amd64-default-job-19] |   | `-- Extracting indexinfo-0.2.4: .... done
[93amd64-default-job-19] |   `-- Extracting gmp-5.1.3_2: .......... done
[93amd64-default-job-19] `-- Extracting glpk-4.52.1_3: .......... done
[93amd64-default-job-19] `-- Installing fftw3-float-3.3.3_2...
[93amd64-default-job-19] `-- Extracting fftw3-float-3.3.3_2: .......... done
[93amd64-default-job-19] `-- Installing openblas-0.2.14,1...
[93amd64-default-job-19] |   `-- Installing gcc-4.8.5_2...
[93amd64-default-job-19] |   | `-- Installing mpc-1.0.3...
[93amd64-default-job-19] |   |   `-- Installing mpfr-3.1.3...
[93amd64-default-job-19] |   |   `-- Extracting mpfr-3.1.3: .......... done
[93amd64-default-job-19] |   | `-- Extracting mpc-1.0.3: ...... done
[93amd64-default-job-19] |   | `-- Installing gcc-ecj-4.5...
[93amd64-default-job-19] |   | `-- Extracting gcc-ecj-4.5: . done
[93amd64-default-job-19] |   | `-- Installing libiconv-1.14_9...
[93amd64-default-job-19] |   | `-- Extracting libiconv-1.14_9: .......... done
[93amd64-default-job-19] |   | `-- Installing binutils-2.25.1...
[93amd64-default-job-19] |   |   `-- Installing gettext-runtime-0.19.6...
[93amd64-default-job-19] |   |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[93amd64-default-job-19] |   | `-- Extracting binutils-2.25.1: .......... done
[93amd64-default-job-19] |   `-- Extracting gcc-4.8.5_2: .......... done
[93amd64-default-job-19] `-- Extracting openblas-0.2.14,1: ......... done
[93amd64-default-job-19] `-- Installing GraphicsMagick-1.3.23_2,1...
[93amd64-default-job-19] |   `-- Installing jbigkit-2.1_1...
[93amd64-default-job-19] |   `-- Extracting jbigkit-2.1_1: .......... done
[93amd64-default-job-19] |   `-- Installing jasper-1.900.1_15...
[93amd64-default-job-19] |   | `-- Installing jpeg-turbo-1.4.2...
[93amd64-default-job-19] |   | `-- Extracting jpeg-turbo-1.4.2: .......... done
[93amd64-default-job-19] |   `-- Extracting jasper-1.900.1_15: .......... done
[93amd64-default-job-19] |   `-- Installing libxml2-2.9.3...
[93amd64-default-job-19] |   `-- Extracting libxml2-2.9.3: .......... done
[93amd64-default-job-19] |   `-- Installing lcms2-2.7_2...
[93amd64-default-job-19] |   | `-- Installing tiff-4.0.6_1...
[93amd64-default-job-19] |   | `-- Extracting tiff-4.0.6_1: .......... done
[93amd64-default-job-19] |   `-- Extracting lcms2-2.7_2: .......... done
[93amd64-default-job-19] |   `-- Installing png-1.6.20...
[93amd64-default-job-19] |   `-- Extracting png-1.6.20: .......... done
[93amd64-default-job-19] |   `-- Installing libwmf-0.2.8.4_15...
[93amd64-default-job-19] |   | `-- Installing libX11-1.6.3,1...
[93amd64-default-job-19] |   |   `-- Installing xproto-7.0.28...
[93amd64-default-job-19] |   |   `-- Extracting xproto-7.0.28: .......... done
[93amd64-default-job-19] |   |   `-- Installing kbproto-1.0.7...
[93amd64-default-job-19] |   |   `-- Extracting kbproto-1.0.7: .......... done
[93amd64-default-job-19] |   |   `-- Installing libXdmcp-1.1.2...
[93amd64-default-job-19] |   |   `-- Extracting libXdmcp-1.1.2: ......... done
[93amd64-default-job-19] |   |   `-- Installing libxcb-1.11.1...
[93amd64-default-job-19] |   |   | `-- Installing libpthread-stubs-0.3_6...
[93amd64-default-job-19] |   |   | `-- Extracting libpthread-stubs-0.3_6: ..... 
done
[93amd64-default-job-19] |   |   | `-- Installing libXau-1.0.8_3...
[93amd64-default-job-19] |   |   | `-- Extracting libXau-1.0.8_3: .......... 
done
[93amd64-default-job-19] |   |   `-- Extracting libxcb-1.11.1: .......... done
[93amd64-default-job-19] |   | `-- Extracting libX11-1.6.3,1: .......... done
[93amd64-default-job-19] |   | `-- Installing freetype2-2.6.2...
[93amd64-default-job-19] |   | `-- Extracting freetype2-2.6.2: .......... done
[93amd64-default-job-19] |   `-- Extracting libwmf-0.2.8.4_15: .......... done
[93amd64-default-job-19] |   `-- Installing webp-0.4.4_1...
[93amd64-default-job-19] |   | `-- Installing giflib-5.1.1...
[93amd64-default-job-19] |   | `-- Extracting giflib-5.1.1: .......... done
[93amd64-default-job-19] |   `-- Extracting webp-0.4.4_1: .......... done
[93amd64-default-job-19] |   `-- Installing libXext-1.3.3_1,1...
[93amd64-default-job-19] |   | `-- Installing xextproto-7.3.0...
[93amd64-default-job-19] |   | `-- Extracting xextproto-7.3.0: .......... done
[93amd64-default-job-19] |   `-- Extracting libXext-1.3.3_1,1: .......... done
[93amd64-default-job-19] `-- Extracting GraphicsMagick-1.3.23_2,1: .......... 
done
[93amd64-default-job-19] `-- Installing arpack-96_13...
[93amd64-default-job-19] |   `-- Installing blas-3.5.0_3...
[93amd64-default-job-19] |   `-- Extracting blas-3.5.0_3: ....... done
[93amd64-default-job-19] `-- Extracting arpack-96_13: .......... done
[93amd64-default-job-19] `-- Installing gsed-4.2.2...
[93amd64-default-job-19] `-- Extracting gsed-4.2.2: .......... done
<snip>
[93amd64-default-job-19] |   |   |   `-- Extracting qt4-svg-4.8.7: .......... 
done
[93amd64-default-job-19] |   |   |   `-- Installing qt4-opengl-4.8.7...
[93amd64-default-job-19] |   |   |   `-- Extracting qt4-opengl-4.8.7: 
.......... done
[93amd64-default-job-19] |   |   |   `-- Installing qt4-xmlpatterns-4.8.7...
[93amd64-default-job-19] |   |   |   `-- Extracting qt4-xmlpatterns-4.8.7: 
.......... done
[93amd64-default-job-19] |   |   | `-- Extracting qt4-declarative-4.8.7: 
.......... done
[93amd64-default-job-19] |   |   `-- Extracting qt4-webkit-4.8.7: .......... 
done
[93amd64-default-job-19] |   | `-- Extracting qt4-assistant-4.8.7: ...... done
[93amd64-default-job-19] |   | `-- Installing qt4-qt3support-4.8.7...
[93amd64-default-job-19] |   | `-- Extracting qt4-qt3support-4.8.7: .......... 
done
[93amd64-default-job-19] |   `-- Extracting qt4-designer-4.8.7: .......... done
[93amd64-default-job-19] `-- Extracting qscintilla2-2.9.1,1: .......... done
[93amd64-default-job-19] `-- Installing qhull5-1.0_3...
[93amd64-default-job-19] `-- Extracting qhull5-1.0_3: .......... done
[93amd64-default-job-19] `-- Installing suitesparse-4.0.2_4...
[93amd64-default-job-19] `-- Extracting suitesparse-4.0.2_4: .......... done
[93amd64-default-job-19] `-- Installing texinfo-6.0.20151108...
[93amd64-default-job-19] `-- Extracting texinfo-6.0.20151108: .......... done
[93amd64-default-job-19] `-- Installing fltk-1.3.3_2...
[93amd64-default-job-19] `-- Extracting fltk-1.3.3_2: .......... done
[93amd64-default-job-19] Extracting octave-4.0.0: .......... done
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from ca_root_nss-3.21:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_8:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message from openjdk8-8.66.17_3:
======================================================================

This OpenJDK implementation requires fdescfs(5) mounted on /dev/fd and
procfs(5) mounted on /proc.

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd
        mount -t procfs proc /proc

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0
        proc    /proc           procfs          rw      0       0

======================================================================
Message from qt4-corelib-4.8.7_1:
======================================================================

Qt 4 can be built with optional support for:
 - Common UNIX Printing System (CUPS) (enabled by default)
 - Network Audio System (NAS)
 - Qt style that renders using GTK (QGTKSTYLE)

In order to enable them, you have to add
        QT4_OPTIONS=    CUPS NAS QGTKSTYLE
to your /etc/make.conf and compile devel/qt4-corelib and
x11-toolkits/qt4-gui ports.

Attention! Whenever you change the QT4_OPTIONS both
devel/qt4-corelib and x11-toolkits/qt4-gui ports must be rebuilt!

======================================================================
Message from qt4-sql-4.8.7:
======================================================================

To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt4-ibase-plugin           InterBase/Firebird
 - databases/qt4-mysql-plugin           MySQL
 - databases/qt4-odbc-plugin            Open Database Connectivity
 - databases/qt4-pgsql-plugin           PostgreSQL
 - databases/qt4-sqlite-plugin          SQLite 2
 - databases/qt4-sqlite3-plugin         SQLite 3

======================================================================
===>   octave-forge-image-2.2.2 depends on executable: octave - found
===>   Returning to build of octave-forge-image-2.2.2
===>   octave-forge-image-2.2.2 depends on executable: gfortran48 - found
===>   octave-forge-image-2.2.2 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[93amd64-default-job-19] Installing gmake-4.1_2...
[93amd64-default-job-19] Extracting gmake-4.1_2: .......... done
===>   octave-forge-image-2.2.2 depends on executable: gmake - found
===>   Returning to build of octave-forge-image-2.2.2
===>   octave-forge-image-2.2.2 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   octave-forge-image-2.2.2 depends on shared library: libpcre.so - found 
(/usr/local/lib/libpcre.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for octave-forge-image-2.2.2
===========================================================================
=======================<phase: build          >============================
===>  Building for octave-forge-image-2.2.2
/usr/local/bin/mkoctfile __spatial_filtering__.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile __bilateral__.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile __custom_gaussian_smoothing__.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile __boundary__.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile bwfill.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile rotate_scale.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile hough_line.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile graycomatrix.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile bwdist.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile nonmax_supress.cc
clang++: warning: argument unused during compilation: '-fopenmp'
CXXFLAGS='-g -O2 -std=c++0x ' /usr/local/bin/mkoctfile bwlabeln.cc
clang++: warning: argument unused during compilation: '-fopenmp'
/usr/local/bin/mkoctfile imerode.cc strel.cc -o imerode.oct
clang++: warning: argument unused during compilation: '-fopenmp'
imerode.cc:255:31: error: use of undeclared identifier 'ind2sub'
      Array<idx_vector> sub = ind2sub (nhood_size, idx_vector (ind));
                              ^
1 error generated.
Makefile:14: recipe for target 'imerode.oct' failed
gmake: *** [imerode.oct] Error 1
*** [do-build] Error code 1

Stop in /usr/ports/math/octave-forge-image.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to